ed25519 Struct Reference

Ed25519 signature scheme. More...

`#include <xed25519.h>`

## Public Types

typedef ed25519Signer | Signer
| ed25519 Signer
typedef ed25519Verifier | Verifier
| ed25519 Verifier

## Detailed Description

Ed25519 signature scheme.

See also
  Ed25519 on the Crypto++ wiki.

Since
  Crypto++ 8.0

Definition at line 815 of file xed25519.h.

## Member Typedef Documentation

## Signer

typedef ed25519Signer ed25519::Signer

ed25519 Signer

Definition at line 818 of file xed25519.h.

## Verifier

typedef ed25519Verifier ed25519::Verifier

ed25519 Verifier

Definition at line 820 of file xed25519.h.

The documentation for this struct was generated from the following file:

- xed25519.h